Subject: Re: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Oct 2019 15:44:15 +0200

Eli Zaretskii <[email-masked]> writes:

> > I don't feel very strongly about this, but I'm curious: Why don't you
> > want to obsolete at least some of them?  I think they add user
> > confusion and are just not very helpful.
>
> How would obsoleting them help avoid that confusion?

I think in at least two ways:

1. Obsoleting is a fairly strong sign that this is code that it's
probably better to avoid.

2. AFAIU, the point of obsoleting a file is to eventually remove it.
If it doesn't exist, it can't confuse anyone.

Best regards,
Stefan Kangas